void StartStoryLine()
{
	ref PChar, ch;
	PChar = GetMainCharacter();
	ch = CharacterFromID("Malcolm Hatcher");

	bChangeNation = false;// MAXIMUS 7-8-06
	ref TutDeck = &Locations[FindLocation("Tutorial_Deck")];

// KK -->
	aref arstart = GetStorylineStartParams(FindCurrentStoryline());
	string loadPort = arstart.port;
	string rldGroup = "reload";
	string rldLocator = "reload1";
	int loc = FindLocation(arstart.location);

	sTeleportLocName = arstart.location;

	// PB: Override Character Type -->
	PChar.start_weapon.blade = FindCharacterItemByGroup(&PChar, BLADE_ITEM_TYPE);
	PChar.start_weapon.gun   = FindCharacterItemByGroup(&PChar, GUN_ITEM_TYPE);
	TakeItemFromCharacter(Pchar, PChar.start_weapon.blade);
	TakeItemFromCharacter(Pchar, PChar.start_weapon.gun);
	TakeItemFromCharacter(Pchar, "spyglass2");
	// PB: Override Character Type <--

	switch(CharPlayerType)
	{
		case PLAYER_TYPE_REBEL:
			if (GetMySimpleName(PChar) == "Julian McAllister" && sti(PChar.nation) == ENGLAND)
			{
				GiveModel2Player("47_Blaze_brtlt",false);
				GiveModel2Player("Blaze4",false);
				GiveModel2Player("Blaze5",false);
				GiveModel2Player("Blaze6",false);
				GiveModel2Player("Blaze7",false);
				GiveModel2Player("Blaze",false);
				GiveModel2Player("Blaze_NB",false);
				GiveModel2Player("wf1blaze",false);
				GiveModel2Player("Corsair1_J",false);
				GiveModel2Player("Corsair2_J",false);
				GiveModel2Player("Corsair4_J",false);

				GiveItem2Character(pchar,"luckcharm");

				if(ENABLE_AMMOMOD)
				{
					TutDeck.box1.items.powderflask = 1;  //JRMM
					TutDeck.box1.items.ammopouch = 1;  //JRMM
				}
				TutDeck.box1.items.bladekit = 1;  //JRMM

				TutDeck.box1.items.medical1 = 4; //JRMM
				TutDeck.box1.items.potion3 = 1;  //JRMM

				// First Mate
				AddPassenger(pchar, characterFromID("William Sullivan"), -1);
				LAi_SetOfficerType(characterFromID("William Sullivan"));
				// Navigator
				AddPassenger(pchar, characterFromID("David O'Hara"), -1);
				LAi_SetOfficerType(characterFromID("David O'Hara"));
				// Gunner
				AddPassenger(pchar, characterFromID("Brian Darcy"), -1);
				LAi_SetOfficerType(characterFromID("Brian Darcy"));
				// Boatswain
				AddPassenger(pchar, characterFromID("Killian Kildare"), -1);
				LAi_SetOfficerType(characterFromID("Killian Kildare"));
				// Surgeon
				AddPassenger(pchar, characterFromID("Emily Butler"), -1);
				LAi_SetOfficerType(characterFromID("Emily Butler"));
				// Carpenter
				AddPassenger(pchar, characterFromID("Uriah O'Bannon"), -1);
				LAi_SetOfficerType(characterFromID("Uriah O'Bannon"));
				// Quartermaster
				AddPassenger(pchar, characterFromID("Angus Calhoun"), -1);
				LAi_SetOfficerType(characterFromID("Angus Calhoun"));

				// Robert Fletcher
				ch = CharacterFromID("Malcolm Hatcher");
				ch.nation = sti(pchar.nation);
				ch.Dialog.Filename = "Robert Fletcher_dialog.c";
				ch.skill.Leadership = "5";
				ch.skill.Accuracy = "1";
				ch.skill.Cannons = "1";
				ch.name = TranslateString("","Robert");
				ch.lastname = TranslateString("","Fletcher");
				SetModelfromArray(ch, GetModelIndex("pir_cap6"));
			}
		break;

		case PLAYER_TYPE_NAVAL_OFFICER:
			if(CheckAttribute(pchar, "professionalnavy"))
			{
				// Admiral
				ch = CharacterFromID("Malcolm Hatcher");
				ch.Dialog.Filename = "Robert Fletcher_dialog.c";
				if (GetMySimpleName(PChar) == "Horatio Hornblower")
				{
					ch.name = TranslateString("","Edward");
					ch.lastname = TranslateString("","Pellew");
					SetRankTitle(ch, ENGLAND, TranslateString("", "Sir"));
					SetModelfromArray(ch, GetModelIndex("PellewX_18"));
				}
				else
				{
					ch.nation = sti(pchar.nation);
					DeleteAttribute(ch, "questchar")
					SetRandomNameToCharacter(ch);
					SetRank(ch, sti(ch.nation), 12);
					switch(sti(ch.nation))
					{
						case ENGLAND:
							if(GetCurrentPeriod() < PERIOD_COLONIAL_POWERS)	SetModelfromArray(ch, GetModelIndex("hugnt18"));
							else											SetModelfromArray(ch, GetModelIndex("brtadm2_18"));
						break;
						case FRANCE:
							if(GetCurrentPeriod() < PERIOD_COLONIAL_POWERS)	SetModelfromArray(ch, GetModelIndex("hugnt18"));
							else											SetModelfromArray(ch, GetModelIndex("fra_adm_18"));
						break;
						case SPAIN:
							if(GetCurrentPeriod() < PERIOD_COLONIAL_POWERS)	SetModelfromArray(ch, GetModelIndex("admiral"));
							else											SetModelfromArray(ch, GetModelIndex("spa_adm_18"));
						break;
						case HOLLAND:
							SetModelfromArray(ch, GetModelIndex("Gherarde_De_Jongh"));
						break;
						case PORTUGAL:
							SetModelfromArray(ch, GetModelIndex("admiral"));
						break;
						case AMERICA:
							SetModelfromArray(ch, GetModelIndex("USA_adm_18"));
						break;
					}
				}
			}
		break;

		case PLAYER_TYPE_ROGUE:
			// Elbaron Caron
			ch = CharacterFromID("Malcolm Hatcher");
			ch.Dialog.Filename = "Robert Fletcher_dialog.c";
			ch.nation = sti(pchar.nation);
			if (sti(ch.nation) == FRANCE)
			{
				ch.name = TranslateString("","Elbaron");
				ch.lastname = TranslateString("","Caron");
				SetModelfromArray(ch, GetModelIndex("50M5"));
			}
			else
			{
				DeleteAttribute(ch, "questchar")
				SetRandomNameToCharacter(ch);
			}
		break;

		case PLAYER_TYPE_GAMBLER:
			// Elbaron Caron
			ch = CharacterFromID("Malcolm Hatcher");
			ch.Dialog.Filename = "Robert Fletcher_dialog.c";
			ch.nation = sti(pchar.nation);
			if (sti(ch.nation) == FRANCE)
			{
				ch.name = TranslateString("","Elbaron");
				ch.lastname = TranslateString("","Caron");
				SetModelfromArray(ch, GetModelIndex("50M5"));
			}
			else
			{
				DeleteAttribute(ch, "questchar")
				SetRandomNameToCharacter(ch);
			}
		break;

		case PLAYER_TYPE_AGENT:
			// Admiral
			ch = CharacterFromID("Malcolm Hatcher");
			ch.Dialog.Filename = "Robert Fletcher_dialog.c";
			if (GetMySimpleName(PChar) == "Jean Lafitte" && GetCurrentPeriod() >= PERIOD_REVOLUTIONS)
			{
				ch.nation = AMERICA;
				ch.name = TranslateString("","Jack");
				ch.lastname = TranslateString("","Ramsay");
				SetModelfromArray(ch, GetModelIndex("USA_adm_18"));
			}
			else
			{
				ch.nation = sti(pchar.nation);
				DeleteAttribute(ch, "questchar")
				SetRandomNameToCharacter(ch);
				switch(sti(ch.nation))
				{
					case ENGLAND:
						SetModelfromArray(ch, GetModelIndex("brtadm2_18"));
					break;
					case FRANCE:
						SetModelfromArray(ch, GetModelIndex("fra_cpt2_18"));
					break;
					case SPAIN:
						SetModelfromArray(ch, GetModelIndex("spa_adm_18"));
					break;
					case HOLLAND:
						SetModelfromArray(ch, GetModelIndex("Gherarde_De_Jongh"));
					break;
					case PORTUGAL:
						SetModelfromArray(ch, GetModelIndex("admiral"));
					break;
					case AMERICA:
						SetModelfromArray(ch, GetModelIndex("USA_adm_18"));
					break;
					case PIRATE:
						SetModelfromArray(ch, GetModelIndex("CaptainTeague"));
						ch.name = TranslateString("","Teague");
						ch.lastname = TranslateString("","Sparrow");
					break;
					case PERSONAL_NATION:
						SetModelfromArray(ch, GetModelIndex("hadoque"));
						ch.name = TranslateString("","Franois");
						ch.lastname = TranslateString("","de Hadoque");
					break;
				}
			}
			SetRank(ch, sti(ch.nation), 12);
		break;

		case PLAYER_TYPE_CURSED:
			if (pchar.ship.type == SHIP_CURSED) GiveShip2Character(PChar,"BlackPearl",PreprocessText("#scursed_ship#"),-1,PIRATE,true,true); // So you can actually lift the curse
			TutDeck.WeaponsLocker.items.cursedcoin = GetCursedCoinCount() - 1 - GetDifficulty()*2;
			locations[FindLocation("Grotto")].box1.items.cursedcoin = 0;

			// Ragetti
			ch = CharacterFromID("Malcolm Hatcher");
			ch.Dialog.Filename = "Robert Fletcher_dialog.c";
			ch.nation = sti(pchar.nation);
			if (GetMySimpleName(PChar) == "Hector Barbossa")
			{
				SetModelfromArray(ch, GetModelIndex("Ragetti"));
				ch.name = "Ragetti";
				ch.lastname = "";
			}
			else
			{
				SetModelfromArray(ch, GetModelIndex("BadV"));
				DeleteAttribute(ch, "questchar")
				SetRandomNameToCharacter(ch);
			}
		break;
	}

	TakeNItems(PChar, "medical1", 2); // PB

	if (ENABLE_AMMOMOD)
	{
		TakeNItems(PChar, "gunpowder", 6);
		TakeNItems(PChar, "pistolbullets", 6);
	}

	//NK -->
	PChar.Ship.HP = MakeInt(GetCharacterShipHP(PChar) * 3 / 5);
	PChar.Ship.crew.quantity = MakeInt(GetMaxCrewQuantity(PChar) * 3/5);
	PChar.Ship.SP = MakeInt(GetCharacterShipSP(PChar) * 4 / 5); // MAXIMUS interface MOD
	// to fix the good overup stuff 05-04-06 NK -->
	string goods_id;
	for(int n=0; n<GOODS_QUANTITY; n++)
	{
		if(!CheckAttribute(Goods[n],"name")) continue;
		goods_id = Goods[n].name;
		PChar.Ship.Cargo.Goods.(goods_id) = 0;
	}
	// NK <--
	int space = GetCargoMaxSpace(PChar); // MAXIMUS interface MOD // KK

// KK -->
// added by MAXIMUS [gunpowder mod] -->
	// fixed 05-04-06 to use makeint() -->
	int loadBalls = makeint(GetCannonQuantity(PChar)*BALLS_PER);
	int loadGrapes = makeint(GetCannonQuantity(PChar)*GRAPE_PER);
	int loadChain = makeint(GetCannonQuantity(PChar)*CHAIN_PER);
	int loadBombs = makeint(GetCannonQuantity(PChar)*BOMBS_PER*(!USE_REAL_CANNONS));
	int loadWheat = makeint(sti(PChar.ship.crew.quantity) * FOOD_PER_CREW * WHEAT_DAYS * 1.5);	// PB: Jamaica is pretty far with the new Worldmap
	int loadRum = makeint(sti(PChar.ship.crew.quantity) * FOOD_PER_CREW * RUM_DAYS * 1.5);		// PB: And refitting your ship takes 15 days

	int loadGunpowder = makeint(GetCannonQuantity(PChar) * GetCannonChargesPerCannon(PChar)) * CANNONPOWDER_MOD;
	if (loadGunpowder < 0) loadGunpowder = 0;
	loadGunpowder *= (BALLS_PER + GRAPE_PER + CHAIN_PER + BOMBS_PER*(!USE_REAL_CANNONS));

	int loadCargo = GetGoodWeightByType(GOOD_BALLS, loadBalls) + GetGoodWeightByType(GOOD_GRAPES, loadGrapes) + GetGoodWeightByType(GOOD_KNIPPELS, loadChain) + GetGoodWeightByType(GOOD_BOMBS, loadBombs) + GetGoodWeightByType(GOOD_WHEAT, loadWheat) + GetGoodWeightByType(GOOD_RUM, loadRum) + GetGoodWeightByType(GOOD_GUNPOWDER, loadGunpowder);

	if (space < loadCargo) {
		int cargo_count = makeint((loadBalls > 0) + (loadGrapes > 0) + (loadChain > 0) + (loadBombs > 0) + (loadWheat > 0) + (loadRum > 0));
		if (cargo_count != 0) {
			loadBalls /= cargo_count;
			loadGrapes /= cargo_count;
			loadChain /= cargo_count;
			loadBombs /= cargo_count;
			loadWheat /= cargo_count;
			loadRum /= cargo_count;
			loadGunpowder /= cargo_count;
		}
	}
	SetCharacterGoods(&PChar, GOOD_BALLS, loadBalls);
	SetCharacterGoods(&PChar, GOOD_GRAPES, loadGrapes);
	SetCharacterGoods(&PChar, GOOD_KNIPPELS, loadChain);
	SetCharacterGoods(&PChar, GOOD_BOMBS, loadBombs);
	SetCharacterGoods(&PChar, GOOD_WHEAT, loadWheat);
	SetCharacterGoods(&PChar, GOOD_RUM, loadRum);
	SetCharacterGoods(&PChar, GOOD_GUNPOWDER, loadGunpowder);

	if (CharGood1 == GOOD_SAILCLOTH || CharGood1 == GOOD_PLANKS) 	CharGood1 = GOOD_SILK;
	if (CharGood1 == GOOD_WHEAT || CharGood1 == GOOD_RUM) 			CharGood1 = GOOD_SILK;
	if (CharGood2 == GOOD_SAILCLOTH || CharGood2 == GOOD_PLANKS) 	CharGood2 = GOOD_WINE;
	if (CharGood2 == GOOD_WHEAT || CharGood2 == GOOD_RUM) 			CharGood2 = GOOD_WINE;

	space -= loadCargo;
	float cargo_div = Rand(100)/100.0;
	loadCargo = makeint(cargo_div*space);
	if (loadCargo > 100) loadCargo = 100;
	SetCharacterGoods(&PChar, CharGood1, loadCargo);
	space -= loadCargo;
	loadCargo = makeint((1.0-cargo_div)*space);
	if (loadCargo > 100) loadCargo = 100;
	SetCharacterGoods(&PChar, CharGood2, loadCargo);


// by this section we are adding money to character (if he has a unsufficiently sum for ship's repair and crew's hiring) -->
	ref sto; makeref(sto, Stores[CharStore]);
	int cargoPrice1 = GetGoodPriceByType(sto, PChar, CharGood1, GetCargoGoods(PChar,CharGood1),PRICE_TYPE_SELL);
	int cargoPrice2 = GetGoodPriceByType(sto, PChar, CharGood2, GetCargoGoods(PChar,CharGood2),PRICE_TYPE_SELL);
	if (CharGood1 == CharGood2) cargoPrice2 = 0; // KK
    float qty = 1;
	switch(Rand(5))
    {
		case 0: qty = 1.356; break;
		case 1: qty = 1.890; break;
		case 2: qty = 1.674; break;
		case 3: qty = 1.724; break;
		case 4: qty = 1.057; break;
		case 5: qty = 1.532; break;
    }

	int sailCostPercent = 10;
	int hullCostPercent = 20;
	aref arCurShip; makearef(arCurShip, PChar.ship);
	int shipPrice = sti(GetLocalShipAttrib(arCurShip, GetCharacterShipType(PChar), "Price"));
	int hireQty = makeint(GetMaxCrewQuantity(PChar) - GetCrewQuantity(PChar));

	int hireCost = sti(GetCrewHireCost(PChar) * hireQty);
	int repCost = MakeInt(makeint((((shipPrice*hullCostPercent+99)/100)*makeint(100 - MakeInt(GetHullPercent(PChar)))+99)/100)) + MakeInt((makeint((shipPrice*sailCostPercent+99)/100)*makeint(100 - MakeInt(GetSailPercent(PChar)))+99)/100);

	int avPrice = makeint(cargoPrice1 + cargoPrice2)*qty;
	if (makeint(cargoPrice1 + cargoPrice2) < sti(hireCost+repCost)) {
		int addMoney = makeint(sti(hireCost+repCost)-avPrice);
		if (addMoney > 0)
			AddMoneyToCharacter(PChar, addMoney);
		else
			AddMoneyToCharacter(PChar, sti(hireCost+repCost));
	} else {
		PChar.money = makeint(5000*qty);// TIH fixed decimal gold on start new game
	}
// by this section we are adding money to character (if he has a unsufficiently sum for ship's repair and crew's hiring) <--

// added by MAXIMUS [gunpowder mod] <--

	// NK new location tags 04-08-29
	PChar.newloctags = true;

	string cabinID = GetCharacterShipCabin(PChar);
	rldGroup = "rld";
	rldLocator = "startloc";
	if (cabinID != "Cabin_none") {
		iShipCaptain = GetMainCharacterIndex();
		SetUpCabin(PChar);
		if (cabinID != "Tutorial_Deck") TutDeck.items.randitem1 = "";
	} else {
		SetModelFromID(ch, "Corsair5");
		iShipCaptain = sti(ch.index);
		SetUpCabin(GetCharacter(iShipCaptain));
		rldGroup = "reload";
		rldLocator = "reload1";
	}

	string rldLocator_Port = "";

	if(CharPlayerType == PLAYER_TYPE_REBEL)
	{
		loadPort = "QC_port";
		rldLocator_Port = "reload1";
	}
	else
	{
		switch(sti(PChar.nation))
		{
			case ENGLAND:
				loadPort = "Oxbay_port";
				rldLocator_Port = "reload2";
			break;
			case FRANCE:
				loadPort = "Falaise_de_fleur_port_01";
				rldLocator_Port = "sea";
			break;
			case SPAIN:
				loadPort = "Muelle_port";
				rldLocator_Port = "reload3";
			break;
			case PIRATE:
				loadPort = "QC_port";
				rldLocator_Port = "reload1";
			break;
			case HOLLAND:
				loadPort = "Douwesen_port";
				rldLocator_Port = "reload2";
			break;
			case PORTUGAL:
				loadPort = "Conceicao_port";
				rldLocator_Port = "reload2";
			break;
			case AMERICA:
				loadPort = "Eleuthera_Port";
				rldLocator_Port = "reload1_back";
			break;
			case PERSONAL_NATION:
				loadPort = "QC_port";
				rldLocator_Port = "reload1";
			break;
		}
	}

	string ship_deck = "";
	if (cabinID != "Cabin_none")
		ship_deck = GetCharacterShipQDeck(PChar);
	else
	{
		ship_deck = GetCharacterShipQDeck(ch);
		ch.nation = PChar.nation;				// PB: Just for fun
		SetCharacterShipLocation(ch, loadPort);	// PB: Just for fun
	}
	Locations[loc].reload.l1.go = ship_deck;
	Locations[loc].reload.l1.emerge = "reload1";
	Locations[FindLocation(ship_deck)].reload.l4.go = loadPort;
	Locations[FindLocation(ship_deck)].reload.l4.emerge = rldLocator_Port;
	Locations[FindLocation(ship_deck)].reload.l4.disable = 1;
	Locations[FindLocation(ship_deck)].reload.l5.go = loadPort;
	Locations[FindLocation(ship_deck)].reload.l5.emerge = rldLocator_Port;
	Locations[FindLocation(ship_deck)].reload.l5.disable = 1;
	// PB: Can we CreatePortLandscape for the tutorial?

	trace("Made change of cabin and deck parameters for "+CharShipType);
// <-- KK

	Reinit_KhaelRoa();

//================================| BEGINNING QUESTS |================================//

	PChar.quest.StartAdventure.win_condition.l1 = "Timer";
	PChar.quest.StartAdventure.win_condition.l1.date.day = GetAddingDataDay(0, 0, 0);
	PChar.quest.StartAdventure.win_condition.l1.date.month = GetAddingDataMonth(0, 0, 0);
	PChar.quest.StartAdventure.win_condition.l1.date.year = GetAddingDataYear(0, 0, 0);
	PChar.quest.StartAdventure.win_condition = "StartAdventure";

	PChar.quest.Tut_start.win_condition.l1 = "location";
	PChar.quest.Tut_start.win_condition.l1.character = PChar.id;
	PChar.quest.Tut_start.win_condition.l1.location = "Tutorial_Deck";
	PChar.quest.Tut_start.win_condition = "Tut_start";

	// PB: Started Later -->
	DeleteAttribute(PChar, "quest.Install_Voysey_And_Blythe");
	// PB: Started Later <--

//===============================| QUESTS SECTION END |===============================//

	ReloadProgressUpdate();

	AllDaysCount = 1;//MAXIMUS: calculates days amount (updating in calendar.c)
	PChar.newGameStart = true;//MAXIMUS: for adding new locators
	PChar.location.first = true;
	PChar.vcskip = true; // PB: To prevent random characters until AFTER the tutorial

	LoadMainCharacterInFirstLocation(sTeleportLocName, rldGroup, rldLocator, loadPort); // KK

	// PB: Modify Default Relations
	SetRelationsAsNation(sti(PChar.nation));												// Set nations as per selected flag
	switch(CharPlayerType)
	{
		case PLAYER_TYPE_REBEL:
			if(iRealismMode == 0)	SetRelationsAsNation(PERSONAL_NATION);					// Don't keep original nation relations on Arcade Game Mode
			if(sti(PChar.nation) == PERSONAL_NATION)
			{
				while (sti(PChar.nation) == PERSONAL_NATION || sti(PChar.nation) == PIRATE)
					PChar.nation = rand(NATIONS_QUANTITY-1);
			}
			SetActualRMRelation(PIRATE, REL_AFTERATTACK);									// You saved a group of pirates from torture and death
			SetActualRMRelation(sti(PChar.nation), REL_MIN);								// You are a traitor to the crown
			PChar.nation = PIRATE;															// Make port at Nevis, so should hoist pirate flag
		break;

		case PLAYER_TYPE_NAVAL_OFFICER:
			if(CheckAttribute(pchar, "professionalnavy"))
			{
				// Rank
				ref rModel;
				int PlayerRank = 3;															// If commissioned, Lieutenant (=default)
				makeref(rModel, Models[GetModelIndex(pchar.model)]);
				if (GetAttribute(rModel, "minrank") > 0)	PlayerRank = sti(rModel.minrank);

				// Promotion
				TutDeck.ItsNation = PChar.nation;
				switch(sti(PChar.nation))
				{
					case ENGLAND:
						ch = CharacterFromID("John Clifford Brin");
					break;
					case FRANCE:
						ch = CharacterFromID("Joseph Claude Le Moigne");
					break;
					case SPAIN:
						ch = CharacterFromID("Christofor Manuel De Alencar");
					break;
					case HOLLAND:
						ch = CharacterFromID("Reynard Grueneveldt");
					break;
					case PORTUGAL:
						ch = CharacterFromID("Jacinto Arcibaldo Barreto");
					break;
					case AMERICA:
						ch = CharacterFromID("Cole Arkwright");
					break;
				}
				for (int i = 0; i < PlayerRank-1; i++)
				{
					Promote(PChar, ch, sti(PChar.nation));
				}
				DeleteAttribute(TutDeck, "ItsNation");
			}
		break;

		case PLAYER_TYPE_AGENT:
			if (GetMySimpleName(PChar) == "Jean Lafitte" && GetCurrentPeriod() >= PERIOD_REVOLUTIONS)
			{
				SetActualRMRelation(AMERICA, REP_LEAVEMIN);									// Encourage play for America
			}
		break;
	}
}
